h11365
s 00001/00001/00111
d D 1.11 83/03/29 13:10:41 mjb 12 11
c fixed existing data transfer to show and allow 16 values to be passed
e
s 00002/00002/00110
d D 1.10 83/03/09 14:18:39 mjb 11 10
c 
e
s 00001/00001/00111
d D 1.9 83/03/06 20:37:25 mjb 10 9
c 
e
s 00001/00001/00111
d D 1.8 83/03/04 14:16:09 mjb 9 8
c 
e
s 00010/00008/00102
d D 1.7 83/03/03 23:38:27 mjb 8 7
c fixed for existing data for graph -- graph etc
e
s 00001/00001/00109
d D 1.6 83/03/02 18:44:46 mjb 7 6
c put in switch ttyin calls
e
s 00000/00000/00110
d D 1.5 83/02/09 15:55:06 mjb 6 5
c 
e
s 00008/00012/00102
d D 1.4 83/02/08 20:12:26 mjb 5 4
c restructured for overlaying menus
e
s 00002/00004/00112
d D 1.3 83/02/07 12:09:07 mjb 4 3
c fixed problem with initializing curve types
e
s 00005/00005/00111
d D 1.2 83/02/03 00:49:12 tes 3 1
c modified apdata interface to include last item to display
e
s 00000/00000/00116
d R 1.2 83/02/02 19:04:42 tes 2 1
c 
e
s 00116/00000/00000
d D 1.1 83/02/01 01:53:37 tes 1 0
c date and time created 83/02/01 01:53:37 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine mnudim (item)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Create menu manager                                    #
#                                                                      #
#     Input Parameters:                                                #
#            item  - selected menu item                                #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
SHORTINT item

SHORTINT jump, key
integer iclear, i, temp, iptr

include(`gphcom')

data iclear /YES/

jump = item + 1
go to (DIG0,DIG1,DIG2,DIG3,DIG4,DIG5,DIG6,DIG7,DIG8,DIG9), jump

   DIG0 continue
      call apmenu (MAINxMENU, iclear)
      return

   DIG1 continue  # Manual input

      if (bctype != PIE) {
D 4
	 call ingmem (bctype)
	 if (bctype > TEXT) bctype = BAR
E 4
I 4
D 8
	 call ingmem 
E 8
I 8
	 call ingmem  (YES)
E 8
E 4
D 5
	 call apmenu (GRAPHxDATAxFRAME, iclear)
	 call cgdatt (krmain)
D 3
	 call apdata (1)
E 3
I 3
	 call apdata (1, FOREVER)
E 5
I 5
	 mid = GRAPHxDATAxFRAME
	 action = BREAKxOVERLAY
E 5
E 3
	 }
      else {
D 8
	 call inpmem
E 8
I 8
	 call inpmem (YES)
E 8
D 5
	 call apmenu (PIExEDIT, iclear)
	 call cpeatt (krmain)
D 3
	 call apdata (1)
E 3
I 3
	 call apdata (1, FOREVER)
E 5
I 5
	 mid = PIExEDIT
	 action = BREAKxOVERLAY
E 5
E 3
         }

      go to OTHERxWISE

   DIG2 continue  # SUPERCALC DIF file input
      call apmenu (DATAxACCESSxMETHOD, iclear)
      go to OTHERxWISE

   DIG3 continue  # VISICALC DIF file input
      call apmenu (DATAxACCESSxMETHOD, iclear)
      go to OTHERxWISE

   DIG4 continue  #  EXISTING data
      if (bctype != PIE) {
	 temp = bpddef
D 4
	 call ingmem (bctype)
E 4
I 4
D 8
	 call ingmem
E 8
I 8
	 call ingmem (NO)
E 8
E 4
	 if (temp > 0) {
I 8
	    call ingmem (YES)
E 8
	    bgddef(1) = temp
D 11
	    do i=1, 75 { bgdta1(i) = bpdata(i) }
E 11
I 11
	    do i=1, 80 { bgdta1(i) = bpdata(i) }
E 11
	    }
D 4
	 if (bctype > TEXT) bctype = BAR
E 4
D 5
	 call apmenu (GRAPHxDATAxFRAME, iclear)
	 call cgdatt (krmain)
D 3
	 call apdata (1)
E 3
I 3
	 call apdata (1, FOREVER)
E 5
I 5
	 mid = GRAPHxDATAxFRAME
	 action = BREAKxOVERLAY
E 5
E 3
	 }
      else {
         temp = bgddef(1) + bgddef(2) + bgddef(3) + bgddef(4) + bgddef(5)
	 if (temp > 0) {
	    call apmenu (SELECTxCURVE, iclear)
D 12
	    call cgdatt (krmain)
E 12
I 12
	    call cgdatt (krmain,16)
E 12
D 3
	    call apdata (1)
E 3
I 3
	    call apdata (1, FOREVER)
E 3
            repeat {
D 7
	       call getkey (key)
E 7
I 7
D 9
               ifdef(`UNIX',`call gdevin (key)',`call ttyin (key)')
E 9
I 9
D 10
               call gtty (key)
E 10
I 10
               call ttyin (key)
E 10
E 9
E 7
	       key = key - DIG0
	       } until (key >= 1 & key <= 5)
	    temp = bgddef(key)
D 8
	    call inpmem
E 8
I 8
	    call inpmem (YES)
E 8
            iptr = (key-1)*375 + 1
D 11
            do i=1, 75 {
E 11
I 11
            do i=1, 80 {
E 11
	       bpdata(i) = bgdta1(iptr)
	       iptr = iptr + 1
	       }
	    }
D 8
	 else 
	    call inpmem

	 bpddef = temp
E 8
I 8
         else {
	    temp = bpddef
	    call inpmem (NO)
	    }
         bpddef = temp
E 8
D 5
	 call apmenu (PIExEDIT, iclear)
	 call cpeatt (krmain)
D 3
	 call apdata (1)
E 3
I 3
	 call apdata (1, FOREVER)
E 5
I 5
	 mid = PIExEDIT
	 action = BREAKxOVERLAY
E 5
E 3
	 }
      go to OTHERxWISE

   DIG5 continue
   DIG6 continue
   DIG7 continue
   DIG8 continue
   DIG9 continue   

   OTHERxWISE continue

   return
end
E 1
